:: Build pdf version of BSc ;)
:: Copyright (c) 2009 by Marcin 'Malcom' Malich <me@malcom.pl>

@echo off
setlocal
set NAME=BSc


set makeArun=0
if "%1" == "" 		set makeArun=1 && goto make
if not "%2" == ""	goto usage

if /i %1 == make	goto make
if /i %1 == clean	goto clean
if /i %1 == run		goto run
goto usage

:make
pdflatex -file-line-error -halt-on-error %NAME%.tex
if ERRORLEVEL 1 goto :eof
bibtex %NAME%
if ERRORLEVEL 1 goto :eof
pdflatex -file-line-error -halt-on-error %NAME%.tex
pdflatex -file-line-error -halt-on-error %NAME%.tex
if %makeArun%==1 goto run
goto :eof

:clean
if exist %NAME%.aux del -f %NAME%.aux
if exist %NAME%.bbl del -f %NAME%.bbl
if exist %NAME%.blg del -f %NAME%.blg
if exist %NAME%.lof del -f %NAME%.lof
if exist %NAME%.log del -f %NAME%.log
if exist %NAME%.out del -f %NAME%.out
if exist %NAME%.pdf del -f %NAME%.pdf
if exist %NAME%.toc del -f %NAME%.toc
goto :eof

:run
%NAME%.pdf
goto :eof

:usage
echo Error in script usage. The correct usage is:
echo     %0 [option]
echo where [option] is: make ^| clean ^| run
echo:
echo For example:
echo     %0 make
echo:
echo default is make and run
goto :eof
